Subject: Re: DCCP Deprecation

From: Jakub Kicinski <[email-masked]>
Date: Mon, 10 Jul 2023 12:01:01 -0700

On Mon, 10 Jul 2023 11:22:53 -0700 Kuniyuki Iwashima wrote:
> From: "Maglione, Gregorio" <[email-masked]>
> Date: Mon, 10 Jul 2023 12:06:11 +0000
> > Hi Kuniyuki,
> > 
> > I saw the deprecation notice on the DCCP. We are working with a multipath
> > extension of the protocol, and this would likely impact us in the
> > standardisation effort. Do you know whom I must contact to know how I can
> > volunteer to maintain the protocol, and  to get more information about
> > the maintenance process?  
> 
> I think it would be better to review others' patches or post patches before
> stepping up as a maintainer.

Yes, I think we should document the expectations more clearly. I asked
on workflows@ if others already have docs.

https://lore.kernel.org/workflows/[email-masked]/T/#u

For DCCP specifically I think we'd like to see some effort around
improving syzbot testing and addressing the bugs?

> However, this repo seems to have a license issue that cannot be upstreamed
> as is.
> https://github.com/telekom/mp-dccp

Right, in theory maintenance of the code already upstream is orthogonal
to protocol extensions. But if there is no user of the pure upstream
code then it seems hard to justify the effort of keeping it.